Get rotation status
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rotation": {
"id": "4f114166-bbf7-41fa-82b8-c398f7a19914",
"subscription_id": "25974f58-6a7a-4b0d-8dd7-a89133f50762",
"status": "processing",
"requested_count": 2,
"succeeded_count": 0,
"failed_count": 0,
"created_at": "2026-08-31T12:00:00Z"
}
}Rotations
Get rotation status
Check a rotation’s status and ordered results. Existing rotations return 200, including partially_succeeded and failed outcomes.
GET
https://app.proxy.doubledata.com/api/v1
/
isp
/
rotations
/
{rotationId}
Get rotation status
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/rotations/{rotationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rotation": {
"id": "4f114166-bbf7-41fa-82b8-c398f7a19914",
"subscription_id": "25974f58-6a7a-4b0d-8dd7-a89133f50762",
"status": "processing",
"requested_count": 2,
"succeeded_count": 0,
"failed_count": 0,
"created_at": "2026-08-31T12:00:00Z"
}
}